summaryrefslogtreecommitdiffstats
path: root/dcop/dcopidl/run_test.sh
diff options
context:
space:
mode:
authortoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
committertoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
commitce4a32fe52ef09d8f5ff1dd22c001110902b60a2 (patch)
tree5ac38a06f3dde268dc7927dc155896926aaf7012 /dcop/dcopidl/run_test.sh
downloadtdelibs-ce4a32fe52ef09d8f5ff1dd22c001110902b60a2.tar.gz
tdelibs-ce4a32fe52ef09d8f5ff1dd22c001110902b60a2.zip
Copy the KDE 3.5 branch to branches/trinity for new KDE 3.5 features.
BUG:215923 git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/kdelibs@1054174 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
Diffstat (limited to 'dcop/dcopidl/run_test.sh')
-rwxr-xr-xdcop/dcopidl/run_test.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/dcop/dcopidl/run_test.sh b/dcop/dcopidl/run_test.sh
new file mode 100755
index 000000000..6bcfaed82
--- /dev/null
+++ b/dcop/dcopidl/run_test.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+# Regression testing: generate .kidl out of dcopidl_test.h and compare with expected baseline
+# Usage: $srcdir/run_test.sh $srcdir
+
+srcdir="$1"
+builddir=`pwd`
+cd $srcdir
+"$builddir/dcopidl" ./dcopidl_test.h > $builddir/dcopidl_new_output.kidl || exit 1
+diff -u $srcdir/dcopidl_output.kidl $builddir/dcopidl_new_output.kidl